#### D.8.7.9 num_prime_decom

Procedure from library `recover.lib` (see recover_lib).

Usage:
  num_prime_decom(I,D); ideal I, int D
  D a bound to the degree of the elements of the components of a prime decomposition of I.

Return:
  list of ideals: each of the ideals a prime component of the radical of I

Remarks:
  Uses Bertini.

Note:
  Should only be called from a ring over the rational numbers.

Example:

    LIB "recover.lib";
    ring R=0,(x,y,z),dp;
    ideal I=(x+y)*(y+2z), (x+y)*(x-3z);
    int D=2;
    int Prec=300;
    num_prime_decom(I,D,Prec);
    //Let us compare that to the result of primdecSY:
    primdecSY(I);

User manual for Singular version 4.4.1, 2025, generated by texi2html.